<!DOCTYPE html>
<html>

<body>
    <head>
        <title>Darknet Onion Webring</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="style.css">
        <link rel="icon" href="/favicon.ico">
    </head>


    <center>
<?php
require("header.php");
?>
		<p>The Darknet depends on peers (like you and me) to run their own lists of onion links for visibility, as search engines can't crawl onion websites like they do on the clearnet. This project is there to list people's lists of onion links so that you don't have to search those links yourself. </p></br>
		<p>The more people join the Darknet Onion Webring, the more visibility darknet websites will be able to have over time, just like how it would be on the clearnet while keeping the decentralisation and censorship-resistance intact. Let's make it happen.</p>



<?php
require("webring.php");
?>
        <?php 
        echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen("links/webring.csv", "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
        ?> </br>


        <h3>Infos and Indexes</h3>
        <?php
        echo "<center><table>\n\n";

        // Open a file
        $file = fopen("links/Infos_and_indexes.csv", "r");

        // Fetching data from csv file row by row
        while (($data = fgetcsv($file)) !== false) {
            // HTML tag for placing in row format
            echo "<tr>";
            foreach ($data as $i) {
                echo "<td>" . htmlspecialchars($i)
                    . "</td>";
            }
            echo "</tr> \n";
        }

        // Closing the file
        fclose($file);

        echo "\n</table></center>";
        ?> </br>




        <h3>Search Engines</h3>
        <?php
        echo "<center><table>\n\n";

        // Open a file
        $file = fopen("links/Search_Engines.csv", "r");

        // Fetching data from csv file row by row
        while (($data = fgetcsv($file)) !== false) {

            // HTML tag for placing in row format
            echo "<tr>";
            foreach ($data as $i) {
                echo "<td>" . htmlspecialchars($i)
                    . "</td>";
            }
            echo "</tr> \n";
        }

        // Closing the file
        fclose($file);

        echo "\n</table></center>";
        ?>


    </center> 
</body> 
  
</html>
