<!DOCTYPE html>
<html>

<body>
    <head>
        <title>Darknet Onion Webring</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="style.css">
        <link rel="icon" href="/favicon.ico">
    </head>


    <center>
<?php
require("header.php");
?>
        <h2>Non-KYC services (last update: December 2024)</h3></br> 

<p>These are <b>non-sensitive services</b> that you can use anonymously (meaning that there are no KYC procedures to use those services). The below links were originally taken from the awesome <a href="kycnotmezdiftahfmc34pqbpicxlnx3jbf5p7jypge7gdvduu7i6qjqd.onion">kycnot.me</a>. I recommend accessing those services via Tor [<a href="http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/whonixqemuvms/index.html">1</a>] (including accessing VPSes via SSH via Tor aswell [<a href="http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/anonymousremoteserver/index.html">2</a>]), and to pay for them using monero [<a href="http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/monero2024/index.html">3</a>]. </p>
<p>(This page is strictly for educational purposes, we don't own any of the services below.)</p>


        <h2>Exchanges</h3> 
        <?php 
        echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen("links/kycnotme_exchanges.csv", "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
        ?> 



        <h2>SMS</h3> 
        <?php 
        echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen("links/kycnotme_sms.csv", "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
        ?> 




        <h2>VPNs</h3> 
        <?php 
        echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen("links/kycnotme_vpns.csv", "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
        ?> 


        <h2>VPS</h3> 
        <?php 
        echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen("links/kycnotme_vps.csv", "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
        ?> 



        <h2>Other</h3> 
        <?php 
        echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen("links/kycnotme_other.csv", "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
        ?> 

<?php
require("webring.php");
?>


    </center> 
</body> 
  
</html>
